package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CriminalOffencePutOnRecordRate;
import com.lightinit.hsdatashow.entity.CriminalOffencePutOnRecordRateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CriminalOffencePutOnRecordRateMapper {
    long countByExample(CriminalOffencePutOnRecordRateExample example);

    int deleteByExample(CriminalOffencePutOnRecordRateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CriminalOffencePutOnRecordRate record);

    int insertSelective(CriminalOffencePutOnRecordRate record);

    List<CriminalOffencePutOnRecordRate> selectByExample(CriminalOffencePutOnRecordRateExample example);

    CriminalOffencePutOnRecordRate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CriminalOffencePutOnRecordRate record, @Param("example") CriminalOffencePutOnRecordRateExample example);

    int updateByExample(@Param("record") CriminalOffencePutOnRecordRate record, @Param("example") CriminalOffencePutOnRecordRateExample example);

    int updateByPrimaryKeySelective(CriminalOffencePutOnRecordRate record);

    int updateByPrimaryKey(CriminalOffencePutOnRecordRate record);
}